package cn.quantgroup.xyqb.model.sms;

/**
 * Created by xuran on 2017/7/4.
 */
public class SmsResult {
    private boolean ret;
    private String msg;

    private SmsResult(boolean ret, String msg) {
        this.ret = ret;
        this.msg = msg;
    }

    public static SmsResult success() {
        return new SmsResult(true, null);
    }

    public static SmsResult success(String msg) {
        return new SmsResult(true, msg);
    }

    public static SmsResult error(String msg) {
        return new SmsResult(false, msg);
    }

    public boolean isRet() {
        return ret;
    }

    public void setRet(boolean ret) {
        this.ret = ret;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "SmsResult{" +
                "ret=" + ret +
                ", msg='" + msg + '\'' +
                '}';
    }
}
